import 'dart:core';
import 'api.dart';
import 'function.dart';
import 'variables.dart';
import 'dart:convert';

Future getIndicatorResults() async {

  await init();
  checkExistNodes();


  getMetrics(types.Users,storage.userUUID);
  getMetrics(types.Devices,storage.deviceUUID);
  getRecommendation();
  getRisk();

  updateScoreNode(types.Users, types.GeigerScoreUser);
  updateScoreNode(types.Devices, types.GeigerScoreDevice);

  updateRecommendationNode(types.Users);
  updateRecommendationNode(types.Devices);

  getDevices();
  getEmployees();
  crtAggregateScore();
  updateScoreNode(types.Users, types.GeigerScoreAggregate);

  updateScoreMSENode();

  var indicatorNode = {};

  indicatorNode[types.GeigerScoreUser] = jsonObject.geigerScoreUser;
  indicatorNode[types.GeigerScoreDevice] = jsonObject.geigerScoreDevice;
  indicatorNode[types.GeigerScoreAggregate] = jsonObject.geigerScoreAggregate;
  indicatorNode['userRecommandation'] = jsonObject.userRecoObjList;
  indicatorNode['deviceRecommandation'] = jsonObject.deviceRecoObjList;

  return jsonEncode(indicatorNode);
  // toJson(indicatorNode);

  //toJson(jsonObject.geigerScoreUser);
  //toJson(jsonObject.geigerScoreDevice);
  //toJson(jsonObject.geigerScoreAggregate);
  //toJson(jsonObject.userRecoObjList);
  //toJson(jsonObject.deviceRecoObjList);



}

void toJson(var jsonObj){

  print(jsonEncode(jsonObj));

}
