import 'package:geiger_localstorage/geiger_localstorage.dart';

class jsonObject{

  static var threatScoreValues = <dynamic>[];
  static var geigerNode = <dynamic,dynamic>{};

  //Original
  static var geigerNodeKey = <dynamic,dynamic>{};
  static var userRecoObjList = [];
  static var deviceRecoObjList = [];

  //for Demo
  static var geigerScoreUser = <dynamic,dynamic>{};
  static var geigerScoreDevice = <dynamic,dynamic>{};
  static var geigerScoreAggregate = <dynamic,dynamic>{};
  static var indicatorNode = <dynamic,dynamic>{};



}

class coreValues {

  static var uuidThreats = [];
  static var uuid_name = {};
  static var name_uuid = {};
  static var flagMainUser;

  static Map<String,List<Node>> userPositive = {};
  static Map<String,List<Node>> userNegative = {};
  static Map<String,List<Node>> devicePositive = {};
  static Map<String,List<Node>> deviceNegative = {};
  static var userThreatScore = {};
  static var deviceThreatScore = {};

  static Map<String,List<Node>> userRecommendation = {};
  static Map<String,List<Node>> deviceRecommendation = {};
  static var existReco = [];

  static var aggregate = [];
  static var gagg;
  static var nagg;

  static var dependent = {};
  static var enabler= {};
  static var based= {};

  static var enterpriseNode = {};

  static var impactValues = {'high': 1.0, 'medium': 0.5, 'low': 0.1};

}

class storage {

  static StorageController controller = GenericController('theOwner',DummyMapper());

  static var userUUID = controller.get(':Local').getValue('currentUser')!.getValue('en'); //only one
  static var deviceUUID = controller.get(':Local').getValue('currentDevice')!.getValue('en'); //only one
  static const GEIGERindicatorUUID = '1234-1234-1234';
  static var pluginUUIDs = controller.get(':Local:plugin').getChildNodesCsv().split(','); //loop

}


class types {
 static const Devices = 'Devices';
 static const Users  = 'Users';
 static const GeigerScoreUser = 'GeigerScoreUser';
 static const GeigerScoreDevice = 'GeigerScoreDevice';
 static const Recommendations = 'recommendations';
 static const GeigerScoreAggregate = 'GeigerScoreAggregate';
 static const GeigerScoreMSE = 'GeigerScoreMSE';
 static const Enterprise = 'Enterprise';

 static const digitallyBased = 'digitally based';
 static const digitalEnabler = 'digital enabler';
 static const digitallyDependent = 'digitally dependent';
}
